package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Advtest1;
import com.realnet.basicp1.Services.Advtest1Service ;






















@RequestMapping(value = "/Advtest1")
 @CrossOrigin("*") 
@RestController
public class Advtest1Controller {
	@Autowired
	private Advtest1Service Service;

@Value("${projectPath}")
	private String projectPath;
 






















	@PostMapping("/Advtest1")
		  public Advtest1 Savedata(@RequestBody Advtest1 data) {
		Advtest1 save = Service.Savedata(data)	;





















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Advtest1/{id}")
	public  Advtest1 update(@RequestBody Advtest1 data,@PathVariable Integer id ) {
		Advtest1 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Advtest1/getall/page")
	public Page<Advtest1> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Advtest1> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Advtest1")
	public List<Advtest1> getdetails() {
		 List<Advtest1> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Advtest1")
	public List<Advtest1> getallwioutsec() {
		 List<Advtest1> get = Service.getdetails();		
		return get;
}
@GetMapping("/Advtest1/{id}")
	public  Advtest1  getdetailsbyId(@PathVariable Integer id ) {
		Advtest1  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Advtest1/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}























}